Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2ea4::/16
First address
2ea4::
Last address
2ea4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2ea4:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
4.a.e.2.ip6.arpa
Split into smaller subnets/24

2ea4::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12ea4::/242ea4:ff:ffff:ffff:ffff:ffff:ffff:ffff
22ea4:100::/242ea4:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32ea4:200::/242ea4:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42ea4:300::/242ea4:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52ea4:400::/242ea4:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62ea4:500::/242ea4:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72ea4:600::/242ea4:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82ea4:700::/242ea4:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92ea4:800::/242ea4:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102ea4:900::/242ea4:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112ea4:a00::/242ea4:aff:ffff:ffff:ffff:ffff:ffff:ffff
122ea4:b00::/242ea4:bff:ffff:ffff:ffff:ffff:ffff:ffff
132ea4:c00::/242ea4:cff:ffff:ffff:ffff:ffff:ffff:ffff
142ea4:d00::/242ea4:dff:ffff:ffff:ffff:ffff:ffff:ffff
152ea4:e00::/242ea4:eff:ffff:ffff:ffff:ffff:ffff:ffff
162ea4:f00::/242ea4:fff:ffff:ffff:ffff:ffff:ffff:ffff
172ea4:1000::/242ea4:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182ea4:1100::/242ea4:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192ea4:1200::/242ea4:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202ea4:1300::/242ea4:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212ea4:1400::/242ea4:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222ea4:1500::/242ea4:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232ea4:1600::/242ea4:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242ea4:1700::/242ea4:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252ea4:1800::/242ea4:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262ea4:1900::/242ea4:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272ea4:1a00::/242ea4:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282ea4:1b00::/242ea4:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292ea4:1c00::/242ea4:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302ea4:1d00::/242ea4:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312ea4:1e00::/242ea4:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322ea4:1f00::/242ea4:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332ea4:2000::/242ea4:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342ea4:2100::/242ea4:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352ea4:2200::/242ea4:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362ea4:2300::/242ea4:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372ea4:2400::/242ea4:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382ea4:2500::/242ea4:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392ea4:2600::/242ea4:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402ea4:2700::/242ea4:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412ea4:2800::/242ea4:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422ea4:2900::/242ea4:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432ea4:2a00::/242ea4:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442ea4:2b00::/242ea4:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452ea4:2c00::/242ea4:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462ea4:2d00::/242ea4:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472ea4:2e00::/242ea4:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482ea4:2f00::/242ea4:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492ea4:3000::/242ea4:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502ea4:3100::/242ea4:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512ea4:3200::/242ea4:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522ea4:3300::/242ea4:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532ea4:3400::/242ea4:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542ea4:3500::/242ea4:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552ea4:3600::/242ea4:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562ea4:3700::/242ea4:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572ea4:3800::/242ea4:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582ea4:3900::/242ea4:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592ea4:3a00::/242ea4:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602ea4:3b00::/242ea4:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612ea4:3c00::/242ea4:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622ea4:3d00::/242ea4:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632ea4:3e00::/242ea4:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642ea4:3f00::/242ea4:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652ea4:4000::/242ea4:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662ea4:4100::/242ea4:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672ea4:4200::/242ea4:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682ea4:4300::/242ea4:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692ea4:4400::/242ea4:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702ea4:4500::/242ea4:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712ea4:4600::/242ea4:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722ea4:4700::/242ea4:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732ea4:4800::/242ea4:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742ea4:4900::/242ea4:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752ea4:4a00::/242ea4:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762ea4:4b00::/242ea4:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772ea4:4c00::/242ea4:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782ea4:4d00::/242ea4:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792ea4:4e00::/242ea4:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802ea4:4f00::/242ea4:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812ea4:5000::/242ea4:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822ea4:5100::/242ea4:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832ea4:5200::/242ea4:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842ea4:5300::/242ea4:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852ea4:5400::/242ea4:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862ea4:5500::/242ea4:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872ea4:5600::/242ea4:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882ea4:5700::/242ea4:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892ea4:5800::/242ea4:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902ea4:5900::/242ea4:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912ea4:5a00::/242ea4:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922ea4:5b00::/242ea4:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932ea4:5c00::/242ea4:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942ea4:5d00::/242ea4:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952ea4:5e00::/242ea4:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962ea4:5f00::/242ea4:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972ea4:6000::/242ea4:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982ea4:6100::/242ea4:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992ea4:6200::/242ea4:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002ea4:6300::/242ea4:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012ea4:6400::/242ea4:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022ea4:6500::/242ea4:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032ea4:6600::/242ea4:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042ea4:6700::/242ea4:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052ea4:6800::/242ea4:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062ea4:6900::/242ea4:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072ea4:6a00::/242ea4:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082ea4:6b00::/242ea4:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092ea4:6c00::/242ea4:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102ea4:6d00::/242ea4:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112ea4:6e00::/242ea4:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122ea4:6f00::/242ea4:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132ea4:7000::/242ea4:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142ea4:7100::/242ea4:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152ea4:7200::/242ea4:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162ea4:7300::/242ea4:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172ea4:7400::/242ea4:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182ea4:7500::/242ea4:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192ea4:7600::/242ea4:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202ea4:7700::/242ea4:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212ea4:7800::/242ea4:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222ea4:7900::/242ea4:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232ea4:7a00::/242ea4:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242ea4:7b00::/242ea4:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252ea4:7c00::/242ea4:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262ea4:7d00::/242ea4:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272ea4:7e00::/242ea4:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282ea4:7f00::/242ea4:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292ea4:8000::/242ea4:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302ea4:8100::/242ea4:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312ea4:8200::/242ea4:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322ea4:8300::/242ea4:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332ea4:8400::/242ea4:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342ea4:8500::/242ea4:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352ea4:8600::/242ea4:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362ea4:8700::/242ea4:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372ea4:8800::/242ea4:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382ea4:8900::/242ea4:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392ea4:8a00::/242ea4:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402ea4:8b00::/242ea4:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412ea4:8c00::/242ea4:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422ea4:8d00::/242ea4:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432ea4:8e00::/242ea4:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442ea4:8f00::/242ea4:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452ea4:9000::/242ea4:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462ea4:9100::/242ea4:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472ea4:9200::/242ea4:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482ea4:9300::/242ea4:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492ea4:9400::/242ea4:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502ea4:9500::/242ea4:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512ea4:9600::/242ea4:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522ea4:9700::/242ea4:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532ea4:9800::/242ea4:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542ea4:9900::/242ea4:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552ea4:9a00::/242ea4:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562ea4:9b00::/242ea4:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572ea4:9c00::/242ea4:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582ea4:9d00::/242ea4:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592ea4:9e00::/242ea4:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602ea4:9f00::/242ea4:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612ea4:a000::/242ea4:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622ea4:a100::/242ea4:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632ea4:a200::/242ea4:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642ea4:a300::/242ea4:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652ea4:a400::/242ea4:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662ea4:a500::/242ea4:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672ea4:a600::/242ea4:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682ea4:a700::/242ea4:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692ea4:a800::/242ea4:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702ea4:a900::/242ea4:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712ea4:aa00::/242ea4:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722ea4:ab00::/242ea4:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732ea4:ac00::/242ea4:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742ea4:ad00::/242ea4:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752ea4:ae00::/242ea4:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762ea4:af00::/242ea4:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772ea4:b000::/242ea4:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782ea4:b100::/242ea4:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792ea4:b200::/242ea4:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802ea4:b300::/242ea4:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812ea4:b400::/242ea4:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822ea4:b500::/242ea4:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832ea4:b600::/242ea4:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842ea4:b700::/242ea4:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852ea4:b800::/242ea4:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862ea4:b900::/242ea4:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872ea4:ba00::/242ea4:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882ea4:bb00::/242ea4:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892ea4:bc00::/242ea4:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902ea4:bd00::/242ea4:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912ea4:be00::/242ea4:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922ea4:bf00::/242ea4:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932ea4:c000::/242ea4:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942ea4:c100::/242ea4:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952ea4:c200::/242ea4:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962ea4:c300::/242ea4:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972ea4:c400::/242ea4:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982ea4:c500::/242ea4:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992ea4:c600::/242ea4:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002ea4:c700::/242ea4:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012ea4:c800::/242ea4:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022ea4:c900::/242ea4:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032ea4:ca00::/242ea4:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042ea4:cb00::/242ea4:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052ea4:cc00::/242ea4:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062ea4:cd00::/242ea4:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072ea4:ce00::/242ea4:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082ea4:cf00::/242ea4:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092ea4:d000::/242ea4:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102ea4:d100::/242ea4:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112ea4:d200::/242ea4:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122ea4:d300::/242ea4:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132ea4:d400::/242ea4:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142ea4:d500::/242ea4:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152ea4:d600::/242ea4:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162ea4:d700::/242ea4:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172ea4:d800::/242ea4:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182ea4:d900::/242ea4:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192ea4:da00::/242ea4:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202ea4:db00::/242ea4:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212ea4:dc00::/242ea4:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222ea4:dd00::/242ea4:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232ea4:de00::/242ea4:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242ea4:df00::/242ea4:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252ea4:e000::/242ea4:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262ea4:e100::/242ea4:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272ea4:e200::/242ea4:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282ea4:e300::/242ea4:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292ea4:e400::/242ea4:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302ea4:e500::/242ea4:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312ea4:e600::/242ea4:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322ea4:e700::/242ea4:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332ea4:e800::/242ea4:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342ea4:e900::/242ea4:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352ea4:ea00::/242ea4:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362ea4:eb00::/242ea4:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372ea4:ec00::/242ea4:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382ea4:ed00::/242ea4:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392ea4:ee00::/242ea4:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402ea4:ef00::/242ea4:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412ea4:f000::/242ea4:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422ea4:f100::/242ea4:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432ea4:f200::/242ea4:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442ea4:f300::/242ea4:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452ea4:f400::/242ea4:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462ea4:f500::/242ea4:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472ea4:f600::/242ea4:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482ea4:f700::/242ea4:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492ea4:f800::/242ea4:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502ea4:f900::/242ea4:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512ea4:fa00::/242ea4:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522ea4:fb00::/242ea4:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532ea4:fc00::/242ea4:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542ea4:fd00::/242ea4:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552ea4:fe00::/242ea4:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562ea4:ff00::/242ea4:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses